package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFEQ7 extends MwfRequest<MWFEQ7, MWFEQ7Response> {

    @Parameter(name = "ACCOUNTNUMBER")
    MWFEQ7 accountnumber(String accountnumber);
    @Parameter(name = "BANKERSPROFILE")
    MWFEQ7 bankersprofile(String bankersprofile);
    @Parameter(name = "CARDLOGO")
    MWFEQ7 cardlogo(String cardlogo);
    @Parameter(name = "CONTRACTNUMBER")
    MWFEQ7 contractnumber(String contractnumber);
    @Parameter(name = "CONTRACTSIGNED")
    MWFEQ7 contractsigned(Boolean contractsigned);
    @Parameter(name = "CREDITACCOUNTNUMBER")
    MWFEQ7 creditaccountnumber(String creditaccountnumber);
    @Parameter(name = "DISTRIBUTIONCHANNELL")
    MWFEQ7 distributionchannell(String distributionchannell);
    @Parameter(name = "DOCUMENTID")
    MWFEQ7 documentid(String documentid);
    @Parameter(name = "SETFEE")
    MWFEQ7 setfee(Boolean setfee);
    @Parameter(name = "WFID")
    MWFEQ7 wfid(String wfid);
}
